using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StartServerWPF.Modules.Main.models
{
    public class WatcherFileModel : BindableBase
    {

        private string createTime;
        private WatcherChangeTypes changeType;
        private string fullPath;
        private string name;
        private string data;

        public string CreateTime
        {
            get { return createTime; }
            set { SetProperty(ref createTime, value); }
        }
        public WatcherChangeTypes ChangeType { get => changeType; set => SetProperty(ref changeType, value); }

        public string FullPath { get => fullPath; set => SetProperty(ref fullPath, value); }

        public string Name { get => name; set => SetProperty(ref name, value); }

        public string Data { get => data; set => SetProperty(ref data, value); }

        private bool isSend;
        public bool IsSend
        {
            get { return isSend; }
            set { SetProperty(ref isSend, value); }
        }
    }
}
